Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1078173 - long double conversions test failed in ppc64le
Summary: long double conversions test failed in ppc64le
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf5
Version: 27
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-19 10:39 UTC by Menanteau Guy
Modified: 2018-11-30 17:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:54:16 UTC


Attachments (Terms of Use)
hdf5-ldouble-ppc64le.patch (deleted)
2014-03-19 10:39 UTC, Menanteau Guy
no flags Details | Diff

Description Menanteau Guy 2014-03-19 10:39:25 UTC
Created attachment 876303 [details]
hdf5-ldouble-ppc64le.patch

Description of problem:
long double conversions test failed in ppc64le
during build, running make -C build check

error;
Testing hard long -> long double conversions                          *FAILED*
    elmt 107:
        src =  00 3f ff ff ff ff ff ff                                     18014398509481983
        dst =  00 00 00 00 00 00 00 00 43 50 00 00 00 00 00 00      18014398509481984.000000

Version-Release number of selected component (if applicable):
hdf5-1.8.12

How reproducible:
run make -C build check to execute hdf5 tests

Additional info:
This problem already have a correction in another linux distribution

+- Detect IBM long double specialness on ppc64le and don't segfault
+  int the testsuite when checking that type.
+  Added patches:
+  * hdf5-ldouble-ppc64le.patch
+
matz@suse.de

Comment 1 Orion Poplawski 2014-03-19 17:30:06 UTC
Thanks, added.

Comment 2 Antonio Trande 2017-07-28 16:53:09 UTC
I tried to port this patch for 'hdf5-1.10.1' compiled with CMake, unfortunately it looks uncorrect:

http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/ForTesting/hdf5.git/tree/hdf5-ldouble-ppc64le.patch?id=a122a763e5a45b39749e5b7aeb791fbb38d709b7

Comment 3 Jan Kurik 2017-08-15 07:51:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Menanteau Guy 2017-08-30 12:16:34 UTC
Code have changed in hdf5 since 2014, I see that you have a new hdf5-ldouble-ppc64le.patch in http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/ForTesting/hdf5.git/tree/?h=f27&id=c9794def29bd21d10cb242d9a62f306592b62677
Do you still have problem ?

Comment 5 Antonio Trande 2017-08-30 18:18:10 UTC
(In reply to Menanteau Guy from comment #4)
> Code have changed in hdf5 since 2014, I see that you have a new
> hdf5-ldouble-ppc64le.patch in
> http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/ForTesting/hdf5.git/
> tree/?h=f27&id=c9794def29bd21d10cb242d9a62f306592b62677
> Do you still have problem ?

Yes; your patch has been simply changed for new code without success. It isn't applied now and various tests are skipped because of different reasons:

http://copr-fe.cloud.fedoraproject.org/coprs/sagitter/ForTesting/build/595690/

Comment 6 Ben Cotton 2018-11-27 18:27:42 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 17:54:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.